<TeXmacs|1.99.4>

<style|<tuple|beamer|french|ridged-paper>>

<\body>
  <doc-data|<doc-title|Les Matrices>>

  \;

  <section|Dfinition>

  Une matrice <math|l\<times\>c> (<math|l> comme lignes et <math|c> comme
  colonnes) est un tableau rectangulaire d'lments comprenant <math|l>
  lignes et <math|c> colonnes. ces lments sont appels <em|coefficients> ou
  <em|composantes> de la matrice. <math|l> et <math|c> sont les dimensions de
  la matrice.

  <math|\<cal-M\><rsub|l c>=<matrix|<tformat|<table|<row|<cell|a<rsub|11>>|<cell|\<ldots\>>|<cell|a<rsub|1c>>>|<row|<cell|\<ldots\>>|<cell|\<ldots\>>|<cell|\<ldots\>>>|<row|<cell|a<rsub|l1>>|<cell|\<ldots\>>|<cell|a<rsub|l
  c>>>>>>>

  Ces composantes peuvent tre des nombres rels ou des complexes, voire des
  polynmes, ou des fraction rationnelles.

  Voici un exemple d'une matrice <math|3\<times\>4> -\<gtr\> trois lignes et
  quatre colonnes

  <math|\<cal-M\><rsub|3,4>=<matrix|<tformat|<table|<row|<cell|\<alpha\><rsub|11>>|<cell|\<alpha\><rsub|12>>|<cell|\<alpha\><rsub|13>>|<cell|\<alpha\><rsub|14>>>|<row|<cell|a<rsub|21>>|<cell|\<alpha\><rsub|22>>|<cell|a<rsub|23>>|<cell|\<alpha\><rsub|24>>>|<row|<cell|\<alpha\><rsub|31>>|<cell|\<alpha\><rsub|32>>|<cell|\<alpha\><rsub|33>>|<cell|\<alpha\><rsub|34>>>>>>>

  \;

  L'ensemble des matrices  <math|l> lignes et <math|c> colonnes et 
  coefficients rels est not <math|\<cal-M\><rsub|l,c><around*|(|\<bbb-R\>|)>>

  <section|Oprations sur les matrices>

  <subsection|Somme>

  On peut ajouter deux matrices <math|\<cal-M\><rsub|l,c><around*|(|\<bbb-R\>|)>>
  <em|de mmes dimensions> termes  termes.

  Exemple :

  <math|<matrix|<tformat|<table|<row|<cell|1>|<cell|-4>>|<row|<cell|-2>|<cell|3>>|<row|<cell|0>|<cell|5>>>>>+<matrix|<tformat|<table|<row|<cell|2>|<cell|3>>|<row|<cell|-2>|<cell|-3>>|<row|<cell|6>|<cell|2>>>>>=<matrix|<tformat|<table|<row|<cell|3>|<cell|-1>>|<row|<cell|-4>|<cell|0>>|<row|<cell|6>|<cell|7>>>>>>

  \;

  <subsection|Multiplication par un scalaire externe>

  Pour multiplier une matrice par un scalaire externe, il suffit de
  multiplier chacun des termes par ce scalaire. Exemple :

  3 <math|<matrix|<tformat|<table|<row|<cell|1>|<cell|-4>>|<row|<cell|-2>|<cell|3>>|<row|<cell|0>|<cell|5>>>>>>=<math|<matrix|<tformat|<table|<row|<cell|3>|<cell|-12>>|<row|<cell|-6>|<cell|9>>|<row|<cell|0>|<cell|15>>>>>>

  \;

  <subsection|Produit matriciel>

  L les choses se corsent...

  Dj il faut savoir des choses trs importantes :

  <\itemize-dot>
    <item>on ne peut pas \S multiplier \T n'importe quelle matrice par
    n'importe quelle autre,

    <item>le produit matriciel n'est pas commutatif. <math|\<cal-M\>1
    \<cal-M\>2\<neq\>\<cal-M\>2\<cal-M\>1>

    <item>ce n'est <strong|pas> le produit des coefficients terme  terme !
  </itemize-dot>

  <subsubsection|Calcul du produit matriciel>

  Pour que le produit matriciel de <math|\<cal-M\>1><math|\<cal-M\>2> soit
  dfini, il faut que le nombre de colonnes de <math|\<cal-M\>1> <strong|soit
  gal> au nombre de lignes de <math|\<cal-M\>2>.

  Par exemple si <math|\<cal-M\>1> s'crit <math|\<cal-M\><rsub|a b>> alors
  il faut que <math|\<cal-M\>2> s'crive <math|\<cal-M\><rsub|b c>> (notez
  l'indice <math|b> qui est partag).

  Pour effectuer le produit, il est commode de disposer les matrices
  <math|\<cal-M\>1> et <math|\<cal-M\>2>  multiplier de la faon suivante
  (la seconde en haut et  droite de la premire) :

  <block|<tformat|<cwith|1|1|2|2|cell-valign|c>|<cwith|1|1|2|2|cell-halign|c>|<table|<row|<cell|>|<cell|<math|\<cal-M\>2>>>|<row|<cell|<math|\<cal-M\>1>>|<cell|rsultat
  ici>>>>>

  exemple :

  <math|\<cal-M\>1=><math|<matrix|<tformat|<table|<row|<cell|1>|<cell|-4>>|<row|<cell|-2>|<cell|3>>|<row|<cell|0>|<cell|5>>>>>><space|1em>et<space|1em><math|\<cal-M\>2=><math|<matrix|<tformat|<table|<row|<cell|1>|<cell|-2>|<cell|3>|<cell|0>>|<row|<cell|-2>|<cell|3>|<cell|-1>|<cell|4>>>>>>

  \;

  Remarque :\ 

  <\itemize-dot>
    <item>la matrice <math|\<cal-M\>1> ayant <math|a> lignes et <math|b>
    colonnes,

    <item>la matrice <math|\<cal-M\>2> ayant <math|b> lignes et <math|c>
    colonnes,
  </itemize-dot>

  alors la matrice <math|\<cal-M\>1.\<cal-M\>2> aura <math|a> lignes et
  <math|c> colonnes.

  Dans cet exemple <math|\<cal-M\>1> est une matrice de format
  <math|<with|color|red|3>\<times\><with|color|orange|2>> , <math|\<cal-M\>2>
  une matrice de format <math|<with|color|orange|2>\<times\><with|color|dark
  green|4>> , la matrice <math|\<cal-M\>1.\<cal-M\>2> sera donc une matrice
  <math|<with|color|red|3>\<times\><with|color|dark green|4>> (3 lignes et 4
  colonnes).

  Disposons ces deux matrices comme prconis plus haut :

  J'ai ajout un petit tableau vide dans le \S trou \T en haut  gauche pour
  souligner le fait que ce trou est toujours carr (mesur en nb d'lments)
  puisque nb de lignes<math|<around*|(|\<cal-M\>2|)>> = nb de
  colonnes<math|<around*|(|\<cal-M\>1|)>>. C'est un moyen simple de se
  rappeler cette condition.

  <tabular|<tformat|<table|<row|<cell|<math|<bmatrix|<tformat|<table|<row|<cell|\<longminus\>>|<cell|\<longminus\>>>|<row|<cell|\<longminus\>>|<cell|\<longminus\>>>>>>>>|<cell|<math|<matrix|<tformat|<twith|table-width|5cm>|<twith|table-hmode|exact>|<table|<row|<cell|1>|<cell|-2>|<cell|3>|<cell|0>>|<row|<cell|-2>|<cell|3>|<cell|-1>|<cell|4>>>>>>>>|<row|<cell|<math|<matrix|<tformat|<table|<row|<cell|1>|<cell|-4>>|<row|<cell|-2>|<cell|3>>|<row|<cell|0>|<cell|5>>>>>>>|<cell|<math|<matrix|<tformat|<twith|table-lborder|1>|<twith|table-rborder|1>|<twith|table-bborder|1>|<twith|table-tborder|1>|<twith|table-width|5cm>|<twith|table-hmode|exact>|<table|<row|<cell|9>|<cell|-14>|<cell|7>|<cell|-16>>|<row|<cell|-8>|<cell|13>|<cell|-9>|<cell|12>>|<row|<cell|-10>|<cell|15>|<cell|-5>|<cell|20>>>>>>>>>>>

  \;

  ici le rsultat est dj affich, toutefois il nous reste  apprendre  le
  calculer.

  <strong|Rappel >: Nous avons dj tudi les vecteurs et nous savons que
  l'on peut les crire de deux manires diffrentes :

  <math|<wide|\<b-v\>|\<vect\>><around*|(|x,y|)>><space|1em>ou
  \ <math|<wide|\<b-v\>|\<vect\>><matrix|<tformat|<cwith|1|-1|1|1|cell-width|2mm>|<cwith|1|-1|1|1|cell-hmode|exact>|<table|<row|<cell|x>>|<row|<cell|y>>>>>>

  Pour la premire criture on parle de \S vecteur ligne \T et pour la
  seconde de \S vecteur colonne \T. Nous savons galement calculer le produit
  scalaire de deux vecteurs (en multipliant les composantes de mme rang
  entre elles puis en faisant la somme de tous ces produits). Tout cela va
  nous servir pour calculer le produit matriciel.

  Revenons donc  nos matrices.

  Chaque composante du rsultat est tout simplement gale au produit scalaire
  de deux vecteurs : un vecteur \S ligne \T et un vecteur colonne.

  <\itemize-minus>
    <item>le vecteur ligne c'est celui que l'on peut former avec la ligne de
    la matrice <math|\<cal-M\>1> situe  la mme hauteur que la-dite
    composante  calculer.

    <item>et le vecteur colonne c'est celui que l'on peut former avec la
    colonne de la matrice <math|\<cal-M\>2> situe  la verticale de la-dite
    composante.
  </itemize-minus>

  Voyons en dtail le calcul d'une composante du rsultat (en rouge), en
  reprenant les matrices de l'exemple prcdent :\ 

  <tabular|<tformat|<table|<row|<cell|>|<cell|<math|<matrix|<tformat|<twith|table-width|5cm>|<twith|table-hmode|exact>|<cwith|1|-1|3|3|color|red>|<cwith|1|1|3|3|cell-tborder|1ln>|<cwith|2|2|3|3|cell-bborder|1ln>|<cwith|1|-1|3|3|cell-lborder|1ln>|<cwith|1|-1|2|2|cell-rborder|1ln>|<cwith|1|-1|3|3|cell-rborder|1ln>|<cwith|1|-1|4|4|cell-lborder|1ln>|<table|<row|<cell|1>|<cell|-2>|<cell|3>|<cell|0>>|<row|<cell|-2>|<cell|3>|<cell|-1>|<cell|4>>>>>>>>|<row|<cell|<math|<matrix|<tformat|<cwith|2|2|1|-1|color|red>|<cwith|2|2|1|-1|cell-tborder|1ln>|<cwith|1|1|1|-1|cell-bborder|1ln>|<cwith|2|2|1|-1|cell-bborder|1ln>|<cwith|3|3|1|-1|cell-tborder|1ln>|<cwith|2|2|1|1|cell-lborder|1ln>|<cwith|2|2|2|2|cell-rborder|1ln>|<table|<row|<cell|1>|<cell|-4>>|<row|<cell|-2>|<cell|3>>|<row|<cell|0>|<cell|5>>>>>>>|<cell|<math|<matrix|<tformat|<twith|table-lborder|1>|<twith|table-rborder|1>|<twith|table-bborder|1>|<twith|table-tborder|1>|<twith|table-width|5cm>|<twith|table-hmode|exact>|<cwith|2|2|3|3|cell-tborder|1ln>|<cwith|1|1|3|3|cell-bborder|1ln>|<cwith|2|2|3|3|cell-bborder|1ln>|<cwith|3|3|3|3|cell-tborder|1ln>|<cwith|2|2|3|3|cell-lborder|1ln>|<cwith|2|2|2|2|cell-rborder|1ln>|<cwith|2|2|3|3|cell-rborder|1ln>|<cwith|2|2|4|4|cell-lborder|1ln>|<table|<row|<cell|9>|<cell|-14>|<cell|7>|<cell|-16>>|<row|<cell|-8>|<cell|13>|<cell|<with|color|red|<with|font-series|bold|-9>>>|<cell|12>>|<row|<cell|-10>|<cell|15>|<cell|-5>|<cell|20>>>>>>>>>>>

  \;

  la composante <math|<around*|(|-9|)>>, donc, \ est gale au produit
  <strong|scalaire> du vecteur <math|<around*|(|-2,3|)>> avec le vecteur
  <math|<matrix|<tformat|<cwith|1|-1|1|1|cell-width|2mm>|<cwith|1|-1|1|1|cell-hmode|exact>|<table|<row|<cell|3>>|<row|<cell|-1>>>>>>

  Faisons le calcul : <math|<wide|<around*|(|-2,3|)>|\<vect\>><wide|.<around*|(|3,-1|)>|\<vect\>>=<around*|(|-2\<times\>3|)>+<around*|(|3
  \<times\>-1|)>=-6+<around*|(|-3|)>=<with|font-series|bold|-9>>

  Bien entendu il faut rpter ce calcul pour chacune des (ici douze)
  composantes.\ 

  Nous voyons que ces calculs de produits scalaires ne sont possibles que si
  le nombre de composantes figurant sur chaque ligne de <math|\<cal-M\>1> est
  gal au nombre de composantes figurant sur la colonne correspondante de
  <math|\<cal-M\>2>, c'est  dire si le nombre de colonnes de
  <math|\<cal-M\>1> est gal au nombre de lignes de <math|\<cal-M\>2>. Et
  c'est justement la condition que nous avions pose ds le dpart.

  On peut \ effectuer ces oprations sans prononcer le mot <em|vecteur>...
  Toutefois comme nous l'avons vu prcdemment, les matrices peuvent
  reprsenter des applications linaires entre des espaces vectoriels, donc
  les vecteurs ne sont jamais bien loin...

  <subsubsection|Mais d'o vient ce mode de calcul compliqu du produit
  matriciel ?>

  Est-il tomb du ciel ? non pas tout  fait. Nous avons dit lors de l'tude
  des matrices reprsentatives des applications linaires que la matrice de
  la compose de deux applications linaires est le produit matriciel de
  leurs matrices reprsentatives. Et a non plus ce n'est pas par hasard que
  a marche, c'est d justement au fait que le produit matriciel a t conu
  de telle sorte que a marche ! En voici la dmonstration :

  soit l'application linaire <math|\<varphi\><rsub|1>> :

  <math|\<varphi\><rsub|1><around*|(|x<rsub|1>,x<rsub|2>|)>=<around*|(|y<rsub|1>,y<rsub|2>|)>>
  tels que <math|<choice|<tformat|<table|<row|<cell|y<rsub|1>=a<rsub|11>
  x<rsub|1> +a<rsub|12> x<rsub|2>>>|<row|<cell|y<rsub|2>=a<rsub|21> x<rsub|1>
  + a<rsub|22> x<rsub|2>>>>>>>

  afin d'obtenir la compose de deux applications linaires, supposons une
  seconde application linaire <math|\<varphi\><rsub|2>> telle que
  <math|<around*|(|x<rsub|1>,x<rsub|2>|)>> soit le rsultat de la
  transformation de 2 autres variables <math|<around*|(|s<rsub|1>,s<rsub|2>|)>>

  <math|\<varphi\><rsub|2><around*|(|s<rsub|1>,s<rsub|2>|)>=<around*|(|x<rsub|1>,x<rsub|2>|)>>
  tels que <math|<choice|<tformat|<table|<row|<cell|x<rsub|1 >=b<rsub|11>
  s<rsub|1>+b<rsub|12> s<rsub|2>>>|<row|<cell|x<rsub|2 >=b<rsub|21> s<rsub|1>
  + b<rsub|22> s<rsub|2>>>>>>>

  Calculons le rsultat <math|<around*|(|y<rsub|1>,y<rsub|2>|)>> partir des
  variables de dpart <math|<around*|(|s<rsub|1>,s<rsub|2>|)>>

  <math|<choice|<tformat|<table|<row|<cell|y<rsub|1> =a<rsub|11>
  (b<rsub|11>s<rsub|1> + b<rsub|12> s<rsub|2> )+a<rsub|12>
  (b<rsub|21>s<rsub|1> + b<rsub|22> s<rsub|2> )>>|<row|<cell|y<rsub|2>
  =a<rsub|21> (b<rsub|11>s<rsub|1> + b<rsub|12> s<rsub|2> )+a<rsub|22>
  (b<rsub|21>s<rsub|1> + b<rsub|22> s<rsub|2> )>>>>>><math|>

  appelons <math|c<rsub|\<ldots\>>>les coefficients :

  <math|<choice|<tformat|<table|<row|<cell|y<rsub|1>=c<rsub|11> s<rsub|1>
  +c<rsub|12> s<rsub|2>>>|<row|<cell|y<rsub|2>=c<rsub|21> s<rsub|1> +
  c<rsub|22> s<rsub|2>>>>>>><math|>

  identifions ces coefficients <math|c<rsub|\<ldots\>>> :

  <math|<choice|<tformat|<table|<row|<cell|c<rsub|11> =a<rsub|11> b<rsub|11>
  +a<rsub|12> b<rsub|21> , c<rsub|12 >=a<rsub|11> b<rsub|12> +a<rsub|12
  >b<rsub|22>>>|<row|<cell|c<rsub|21> =a<rsub|21> b<rsub|11> +a<rsub|22>
  b<rsub|21> , c<rsub|22 >=a<rsub|21> b<rsub|12> + a<rsub|22>
  b<rsub|22>>>>>>>

  ces coefficients sont exactement ceux que l'on trouve si l'on fait le
  produit matriciel des deux matrices reprsentant
  <math|\<varphi\><rsub|1>>et<math|\<varphi\><rsub|2>> :

  <tabular|<tformat|<table|<row|<cell|>|<cell|<math|<matrix|<tformat|<twith|table-width|7cm>|<twith|table-hmode|exact>|<table|<row|<cell|b<rsub|11>>|<cell|b<rsub|12>>>|<row|<cell|b<rsub|21>>|<cell|b<rsub|22>>>>>>>>>|<row|<cell|<math|<matrix|<tformat|<table|<row|<cell|a<rsub|11>>|<cell|a<rsub|12>>>|<row|<cell|a<rsub|21>>|<cell|a<rsub|22>>>>>>>>|<cell|<math|<matrix|<tformat|<twith|table-lborder|1>|<twith|table-rborder|1>|<twith|table-bborder|1>|<twith|table-tborder|1>|<twith|table-width|7cm>|<twith|table-hmode|exact>|<table|<row|<cell|a<rsub|11>b<rsub|11>+a<rsub|12>b<rsub|21>>|<cell|a<rsub|11>b<rsub|12>+a<rsub|12>b<rsub|22>>>|<row|<cell|a<rsub|21>b<rsub|11>+a<rsub|22>b<rsub|21>>|<cell|a<rsub|21>b<rsub|12>+a<rsub|22>b<rsub|22>>>>>>>>>>>>

  Conclusion : Le produit matriciel a t invent dans le but de pouvoir
  calculer le rsultat de transformations linaires appliques en cascade. Et
  c'est ce qui en fait toute la puissance (par exemple en lectronique, suite
  d'tages et de filtres sur le parcours du signal, ou en 3D suite de
  rotations appliques  un objet, etc..)

  <subsection|Matrices particulires>

  <subsubsection|Matrice carre>

  C'est une matrice ayant le mme nombre de lignes et de colonnes :

  exemple : <math|<matrix|<tformat|<table|<row|<cell|1>|<cell|-4>|<cell|5>>|<row|<cell|-2>|<cell|3>|<cell|0>>|<row|<cell|0>|<cell|5>|<cell|-1>>>>>>
  est une matrice carre <math|3\<times\>3>

  <subsubsection|Matrice identit note <math|\<b-I\><rsub|n>>>

  C'est une matrice <strong|carre> d'ordre <math|n> dont tous les
  coefficients <math|a<rsub|i j> >sont nuls sauf ceux d'indice
  <with|font-base-size|14|<math|a<rsub|i i>>> \ (donc situs en diagonale)
  qui sont gaux  <math|1> , comme dans l'exemple suivant d'une matrice
  identit d'ordre 4 :

  <math|\<b-I\><rsub|4>=<matrix|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|0>|<cell|0>>|<row|0|<cell|1>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|1>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|0>|<cell|1>>>>>>

  \;

  La matrice identit est l'lment neutre du produit matriciel, c'est  dire
  :

  <math|\<forall\>> <math|\<b-A\>> <math|\<in\>>
  <math|\<cal-M\><rsub|m,n><around*|(|\<bbb-R\>|)>><space|2em><math|\<b-A\>
  ><math|\<b-I\><rsub|n>=\<b-I\><rsub|m>\<b-A\>=\<b-A\>>

  <\wide-block>
    <tformat|<cwith|1|1|1|1|cell-halign|c>|<twith|table-width|200mm>|<table|<row|<\cell>
      <strong|Rappel> : Pour que le produit matriciel de
      <math|\<cal-M\>1><math|\<cal-M\>2> soit dfini, il faut que le nombre
      de colonnes de <math|\<cal-M\>1> <strong|soit gal> au nombre de lignes
      de <math|\<cal-M\>2>.

      <math|\<b-A\>> est du format <math|m\<times\>n> donc <math|\<b-A\>
      ><math|\<b-I\><rsub|x>> n'est dfini que si <math|x=n>

      de mme : <math|\<b-I\><rsub|x>\<b-A\> ><math|> n'est dfini que si
      <math|x=m>
    </cell>>>>
  </wide-block>

  \;

  <strong|Dmonstration :>

  soit une matrice <math|\<b-up-A\><rsub|m,n>=<matrix|<tformat|<table|<row|<cell|\<alpha\><rsub|11>>|<cell|\<ldots\>>|<cell|\<ldots\>.>|<cell|\<ldots\>>|<cell|\<alpha\><rsub|1n>>>|<row|<cell|\<ldots\>.>|<cell|\<ldots\>>|<cell|a<rsub|<rsub|i
  j>>>|<cell|\<ldots\>>|<cell|\<ldots\>>>|<row|<cell|\<alpha\><rsub|m1>>|<cell|\<ldots\>>|<cell|\<ldots\>.>|<cell|\<ldots\>>|<cell|\<alpha\><rsub|m
  n>>>>>>>

  \;

  Calculons son produit matriciel avec la matrice <math|\<b-I\><rsub|n>> (ici
  un exemple avec <math|m=n=3>, on peut extrapoler  d'autres valeurs...)

  <math|\<b-up-B\><rsub|m,n>=<matrix|<tformat|<table|<row|<cell|\<alpha\><rsub|11>>|<cell|\<alpha\><rsub|1j>>|<cell|\<alpha\><rsub|1n>>>|<row|<cell|\<alpha\><rsub|i1>>|<cell|a<rsub|<rsub|i
  j>>>|<cell|\<alpha\><rsub|i n>>>|<row|<cell|\<alpha\><rsub|m1>>|<cell|\<alpha\><rsub|m
  j>>|<cell|\<alpha\><rsub|m n>>>>>> ><math|\<b-I\><rsub|n>>
  =<math|<matrix|<tformat|<table|<row|<cell|\<alpha\><rsub|11>>|<cell|\<alpha\><rsub|1j>>|<cell|\<alpha\><rsub|1n>>>|<row|<cell|\<alpha\><rsub|i1>>|<cell|a<rsub|<rsub|i
  j>>>|<cell|\<alpha\><rsub|i n>>>|<row|<cell|\<alpha\><rsub|m1>>|<cell|\<alpha\><rsub|m
  j>>|<cell|\<alpha\><rsub|m n>>>>>><matrix|<tformat|<table|<row|<cell|1>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|1>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|1>>>>>>

  \;

  disposons les matrices comme on l'a vu plus haut :

  <tabular|<tformat|<table|<row|<cell|>|<cell|<math|<matrix|<tformat|<twith|table-width|5cm>|<twith|table-hmode|exact>|<table|<row|<cell|1>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|1>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|1>>>>>>>>|<row|<cell|<math|<matrix|<tformat|<table|<row|<cell|\<alpha\><rsub|11>>|<cell|\<alpha\><rsub|1j>>|<cell|\<alpha\><rsub|1n>>>|<row|<cell|\<alpha\><rsub|i1>>|<cell|a<rsub|<rsub|i
  j>>>|<cell|\<alpha\><rsub|i n>>>|<row|<cell|\<alpha\><rsub|m1>>|<cell|\<alpha\><rsub|m
  j>>|<cell|\<alpha\><rsub|m n>>>>>>>>|<cell|<math|<matrix|<tformat|<twith|table-lborder|1>|<twith|table-rborder|1>|<twith|table-bborder|1>|<twith|table-tborder|1>|<twith|table-width|5cm>|<twith|table-hmode|exact>|<table|<row|<cell|\<ldots\>>|<cell|\<ldots\>>|<cell|\<ldots\>>>|<row|<cell|\<ldots\>>|<cell|\<beta\><rsub|i
  j>>|<cell|\<ldots\>>>|<row|<cell|\<ldots\>>|<cell|\<ldots\>>|<cell|\<ldots\>>>>>>>>>>>>

  calculons le coefficient <math|\<beta\><rsub|i j>> (avec la mthode du
  produit scalaire de deux vecteurs comme vue plus haut)

  <math|\<beta\><rsub|i j>=<wide|<around*|(|\<alpha\><rsub|i1>,\<alpha\><rsub|ij>,\<alpha\><rsub|i
  n>|)>|\<vect\>><wide|.<around*|(|0,1,0|)>|\<vect\>>=\<alpha\><rsub|i1>\<times\>0+><math|\<alpha\><rsub|ij>\<times\>1+\<alpha\><rsub|i
  n>\<times\>0> = 0+<math|\<alpha\><rsub|ij>>+0 = <math|\<alpha\><rsub|ij>>\ 

  Nous voyons que tous les produits partiels s'annulent sauf celui concernant
  les mmes emplacements <math|<around*|(|i,j|)>> dans les deux matrices.

  Comme cet emplacement peut tre situ  priori n'importe o, nous en
  dduisons que tous les coefficients de la matrice rsultat seront
  respectivement gaux  ceux de mme emplacement dans la matrice de dpart.
  Donc <math|\<b-up-B\>> = <math|\<b-up-A\>>

  <subsection|Dterminant d'une matrice>

  Le dterminant est utilis en particulier pour inverser une matrice, comme
  nous le verrons plus tard. Il sert galement  rsoudre un systme
  d'quations linaires comportant autant d'quations que d'inconnues. Il a
  de nombreuses autres applications.

  <subsubsection|calcul du dterminant d'une matrice <math|2*\<times\>2>>

  Soit la matrice <math|2\<times\>2> suivante : <math|
  <matrix|<tformat|<table|<row|<cell|a>|<cell|b>>|<row|<cell|c>|<cell|d>>>>>>

  recette : son dterminant est <math|<det|<tformat|<table|<row|<cell|a>|<cell|b>>|<row|<cell|c>|<cell|d>>>>>>=<math|a
  d-b c>

  Notez les barres verticales qui indiquent que nous avons affaire  un
  dterminant; c'est la raison pour laquelle il faut utiliser des parenthses
  et non des barres verticales dans l'criture des matrices.

  <subsubsection|calcul du dterminant d'une matrice <math|3*\<times\>3>>

  Soit la matrice <math|3\<times\>3> suivante : <math|
  <matrix|<tformat|<table|<row|<cell|a>|<cell|b>|<cell|c>>|<row|<cell|d>|<cell|e>|<cell|f>>|<row|<cell|g>|<cell|h>|<cell|i>>>>>>

  \;

  son dterminant est <math|det <matrix|<tformat|<table|<row|<cell|a>|<cell|b>|<cell|c>>|<row|<cell|d>|<cell|e>|<cell|f>>|<row|<cell|g>|<cell|h>|<cell|i>>>>>>
  =<math| <det|<tformat|<table|<row|<cell|a>|<cell|b>|<cell|c>>|<row|<cell|d>|<cell|e>|<cell|f>>|<row|<cell|g>|<cell|h>|<cell|i>>>>>>=<math|<around*|(|a
  e i+d h c+g b f|)>-<around*|(|g e c+a h f+d b i|)>>

  Je vous laisse parcourir ces lettres sur la matrice afin de comprendre leur
  ordre dans la formule (c'est la somme des produits des diagonales dans un
  sens MOINS la somme des produits des diagonales dans l'autre sens).

  proprits : Elles sont assez nombreuses, je citerai par exemple :

  <math|det (A \<times\> B)=det(A).det(B)>

  (Le dterminant du produit matriciel de deux matrices est gal au produit
  des dterminants de ces matrices).

  Je vous donne des liens au bas de cette page afin d'approfondir la
  question.

  Nous allons maintenant revenir  nos espaces vectoriels et aux applications
  linaires avec des exemples qui feront forcment intervenir les matrices et
  leur dterminant...

  <section|Inversion d'une matrice carre>

  <subsection|Algbre des matrices>

  Jusqu' prsent nous avons effectu des oprations entres des matrices et
  entre des matrices et des vecteurs, ce que l'on pourrait appeler de
  l'arithmtique des matrices. Mais peut-on faire de l'algbre avec des
  matrices ? C'est  dire peut-on rsoudre des quations avec des matrices
  comprenant une matrice inconnue dont il faut trouver les coefficients ?

  <subsubsection|Exemple classique>

  En algbre classique on peut rsoudre une quation comme :

  <math|a x-b=0>\ 

  <math|x> tant l'inconnue dont il faut trouver la valeur.

  on connait la rsolution :

  <\math>
    a x=b

    x=<frac|b|a>=b\<times\><frac|1|a>
  </math>

  Peut-on rsoudre des quations analogues faisant intervenir des matrices ?

  Cela revient  rsoudre :

  <math|\<b-A\>\<b-X\>-\<b-B\>=0>

  <math|\<b-A\>>, <math|\<b-B\>> et <math|\<b-X\>> tant des matrices,
  <math|0> tant ici la matrice nulle (dont tous les coefficients sont
  <math|0>)

  On peut effectivement le faire  un dtail prs :

  <math|\<b-X\>=\<b-B\>><math|\<b-A\><rsup|-1>>

  Nous avons ici affaire  un produit vectoriel et a une matrice note
  <math|\<b-A\><rsup|-1>> (attention, l'criture <math|<frac|1|A>> n'existe
  pas , elle ne correspond  rien dans le monde des matrices).

  Cette matrice <math|\<b-A\><rsup|-1>> est appele la matrice inverse de la
  matrice <math|\<b-A\>>.

  Reprenons l'quation avec <math|\<b-B\>=\<b-I\><rsub|n>>, o
  <math|\<b-I\><rsub|n>> est la matrice (carre) <em|identit> d'ordre
  <math|n>, elle devient

  <math|\<b-A\>\<b-X\>=\<b-I\><rsub|n>>

  <math|\<b-X\>=><math|\<b-I\><rsub|n>\<b-A\><rsup|-1>=\<b-A\><rsup|-1>>

  c'est  dire : (en remplaant <math|\<b-X\>>par sa valeur dans l'quation)

  \ <math|\<b-A\>\<b-A\><rsup|-1>=\<b-I\><rsub|n>>

  Cette dernire criture constitue la dfinition de la matrice inverse :

  <subsubsection|Dfinition de la matrice inverse :>

  <\wide-block>
    <tformat|<twith|table-hmode|auto>|<table|<row|<\cell>
      Si <math|\<b-A\><rsub|n, n>> est inversible \ il existe une matrice
      note <math|\<b-A\><rsup|-1>> , telle que :

      <\itemize-dot>
        <item><math|\<b-A\>\<b-A\><rsup|-1>=\<b-I\><rsub|n>>

        <item><math|\<b-A\><rsup|-1>\<b-A\>=\<b-I\><rsub|n>>
      </itemize-dot>

      \ (Ces deux galits doivent tres vrifies)
    </cell>>>>
  </wide-block>

  \;

  <\itemize-dot>
    <item><with|font-base-size|8|Pour qu'on puisse crire le produit
    vectoriel <math|\<b-A\>\<b-A\><rsup|-1>>, il faut que le nb lignes de
    <math|\<b-A\><rsup|-1>> soit gal au nb de colonnes de <math|\<b-A\>.>>

    <item><with|font-base-size|8|Pour qu'on puisse crire le produit
    vectoriel <math|\<b-A\><rsup|-1>\<b-A\>>, il faut que le nb lignes de
    <math|\<b-A\>> soit gal au nb de colonnes de <math|\<b-A\><rsup|-1>.>>

    <item><with|font-base-size|8|Et si <math|\<b-A\>\<b-A\><rsup|-1>=\<b-I\><rsub|n>>
    le nb de lignes de <math|\<b-A\>> doit tre gal  <math|n> et que le nb
    de colonnes de <math|\<b-A\><rsup|-1>> doit tre gal  <math|n>.>
  </itemize-dot>

  Finalement on voit que <math|\<b-A\>> doit tre une matrice <strong|carre>
  de dimension <math|n\<times\>n>.

  Ci-dessous le mme raisonnement, reprsent graphiquement pour <math|n=3> :

  <\wide-tabular>
    <tformat|<cwith|1|1|2|2|cell-valign|t>|<twith|table-width|200mm>|<twith|table-hmode|exact>|<table|<row|<\cell>
      <tabular|<tformat|<table|<row|<cell|trou
      carr>|<cell|<math|<matrix|<tformat|<twith|table-width|2cm>|<twith|table-hmode|exact>|<table|<row|<cell|0>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|0>>>>>>>>|<row|<cell|<math|<matrix|<tformat|<table|<row|<cell|0>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|0>>>>>>>|<cell|<math|<matrix|<tformat|<twith|table-lborder|1>|<twith|table-rborder|1>|<twith|table-bborder|1>|<twith|table-tborder|1>|<twith|table-width|2cm>|<twith|table-hmode|exact>|<table|<row|<cell|1>|<cell|0>|<cell|0>>|<row|<cell|0>|<cell|1>|<cell|0>>|<row|<cell|0>|<cell|0>|<cell|1>>>>>>>>>>>
    </cell>|<\cell>
      <\itemize-dot>
        <item>en bas  gauche -\<gtr\> <math|\<b-A\>>

        <item>en haut  droite -\<gtr\> <math|\<b-A\><rsup|-1>>

        <item>en bas  droite -\<gtr\> <math|\<b-I\><rsub|3>> carre
      </itemize-dot>
    </cell>>>>
  </wide-tabular>

  La seule possibilit est que <math|\<b-A\>> et <math|\<b-A\><rsup|-1>>
  soient toutes deux des matrices carres.

  Toutes le matrices carres ne sont pas inversibles. Lorsqu'une matrice
  carre n'est pas inversible, elle est dite <em|singulire>.

  <subsection|Inversion d'une matrice :>

  Pour une matrice <math|2\<times\>2> le calcul est simple. Pour une matrice
  <math|3\<times\>3> le calcul est dj beaucoup plus compliqu (pivot de
  Gauss par exemple, connue des Chinois depuis 2000 ans et en Europe depuis
  le XIX sicle...!), et pour des matrices d'ordre suprieur la complexit en
  nombre d'oprations lmentaires  effectuer augmente suivant les
  algorithmes en <math|O <around*|(|n!|)>> (factorielle <math|n>) ce qui
  ncessite un ordinateur, et encore pour des <math|n\<less\>10> environ, au
  del le temps de calcul devient prohibitif. Plus grave, dans le cas de
  matrices dans <math|\<bbb-R\><rsup|n>> (dont les coefficients sont des
  nombres rels et non des entiers, ce qui est le cas le plus courant en
  pratique) les invitables erreurs d'arrondis dans les calculs se cumulent
  et aboutissent rapidement  des rsultats compltement faux et
  inutilisables, on va jusqu' parler d'algorithmes instables. Toutefois
  certaines mthodes (assorties d'astuces) ont une complexit qui augmente
  moins vite, par exemple en <math|O <around*|(|n<rsup|3>|)>> et permettent
  d'atteindre des <math|n\<less\>100> environ. Et l'ordinateur quantique...
  heu... non, pas encore, mais a viendra.

  <subsubsection|Inversion d'une matrice <math|2\<times\>2>>

  soit une matrice <math|2\<times\>2>

  <math|\<b-A\>>=<math|<matrix|<tformat|<table|<row|<cell|a>|<cell|b>>|<row|<cell|c>|<cell|d>>>>>>

  son dterminant est, rappelons le : <math|\<Delta\>=><math|a d-b c>

  Si <math|\<Delta\>><math|\<neq\>0> alors la matrice <math|\<b-A\>> est
  inversible et sa matrice inverse vaut :

  <math|\<b-A\><rsup|-1>=<frac|1|\<Delta\>>><math|<matrix|<tformat|<table|<row|<cell|d>|<cell|-b>>|<row|<cell|-c>|<cell|a>>>>>>
  (on voit pourquoi <math|\<Delta\>> doit tre <math|\<neq\>0>)

  (Les deux \ coefficients de la diagonale principale sont juste permuts,
  les deux autres restent en place en changeant de signe).

  Comme annonc, dans le cas d'une matrice <math|2\<times\>2> le calcul n'est
  pas compliqu.

  <subsubsection|Inversion d'une matrice <math|3\<times\>3>>

  soit une matrice <math|3\<times\>3>

  <math|\<b-A\>>=<math|<matrix|<tformat|<table|<row|<cell|a>|<cell|b>|<cell|c>>|<row|<cell|d>|<cell|e>|<cell|f>>|<row|<cell|g>|<cell|h>|<cell|i>>>>>>

  On commence par construire la <em|matrice des mineurs> : C'est une matrice
  forme par les dterminants des sous matrices que l'on peut former  partir
  de la matrice <math|\<b-A\>>

  On va remplacer chaque lment de <math|\<b-A\>> par le dterminant form 
  partir des lments ne faisant PAS partie de la ligne NI de la colonne
  comprenant l'lment considr.\ 

  Par exemple on va remplacer l'lment <math|a> par le dterminant form par
  les lments <math|<matrix|<tformat|<table|<row|<cell|e>|<cell|f>>|<row|<cell|h>|<cell|i>>>>>>,
  les autres tant ignors : <math|<matrix|<tformat|<cwith|2|2|2|-1|cell-tborder|1ln>|<cwith|1|1|2|-1|cell-bborder|1ln>|<cwith|3|3|2|-1|cell-bborder|1ln>|<cwith|2|-1|2|2|cell-lborder|1ln>|<cwith|2|-1|1|1|cell-rborder|1ln>|<cwith|2|-1|3|3|cell-rborder|1ln>|<cwith|1|1|1|-1|cell-background|<pattern|$TEXMACS_PATH/misc/patterns/metal-brushed-dark.png||>>|<cwith|1|-1|1|1|cell-background|<pattern|$TEXMACS_PATH/misc/patterns/metal-brushed-dark.png||>>|<table|<row|<cell|<with|font-series|bold|font-base-size|12|a>>|<cell|b>|<cell|c>>|<row|<cell|d>|<cell|e>|<cell|f>>|<row|<cell|g>|<cell|h>|<cell|i>>>>>>

  on remplace donc <math|a> par <math|<det|<tformat|<table|<row|<cell|e>|<cell|f>>|<row|<cell|h>|<cell|i>>>>>=e
  i-f h>

  et ainsi de suite...

  voici donc cette matrice des mineurs :

  <math|<matrix|<tformat|<table|<row|<cell|<det|<tformat|<table|<row|<cell|e>|<cell|f>>|<row|<cell|h>|<cell|i>>>>>>|<cell|<det|<tformat|<table|<row|<cell|d>|<cell|f>>|<row|<cell|g>|<cell|i>>>>>>|<cell|<det|<tformat|<table|<row|<cell|d>|<cell|e>>|<row|<cell|g>|<cell|h>>>>>>>|<row|<cell|<det|<tformat|<table|<row|<cell|b>|<cell|c>>|<row|<cell|h>|<cell|i>>>>>>|<cell|<det|<tformat|<table|<row|<cell|a>|<cell|c>>|<row|<cell|g>|<cell|i>>>>>>|<cell|<det|<tformat|<table|<row|<cell|a>|<cell|b>>|<row|<cell|g>|<cell|h>>>>>>>|<row|<cell|<det|<tformat|<table|<row|<cell|b>|<cell|c>>|<row|<cell|e>|<cell|f>>>>>>|<cell|<det|<tformat|<table|<row|<cell|a>|<cell|c>>|<row|<cell|d>|<cell|f>>>>>>|<cell|<det|<tformat|<table|<row|<cell|a>|<cell|b>>|<row|<cell|d>|<cell|e>>>>>>>>>>=<matrix|<tformat|<cwith|1|-1|1|-1|cell-tborder|0ln>|<cwith|1|-1|1|-1|cell-bborder|0ln>|<cwith|1|-1|1|-1|cell-lborder|0ln>|<cwith|1|-1|1|-1|cell-rborder|0ln>|<cwith|1|-1|1|-1|cell-width|30mm>|<cwith|1|-1|1|-1|cell-hmode|max>|<cwith|1|-1|1|-1|cell-height|10mm>|<cwith|1|-1|1|-1|cell-vmode|max>|<cwith|1|-1|1|-1|cell-valign|c>|<table|<row|<cell|e
  i-f h>|<cell|d i-f g>|<cell|d h-e g>>|<row|<cell|b i-c h>|<cell|a i-c
  g>|<cell|a h-b g>>|<row|<cell|b f-c e>|<cell|a f-c d>|<cell|a e-b d>>>>>>

  Nous allons maintenant former la <em|comatrice>, c'est  dire la matrice
  des <em|cofacteurs> :

  pour cela on va multiplier chacun des lments de la matrice des mineurs
  par les signes correspondants de cette matrice des signes :
  <math|<matrix|<tformat|<table|<row|<cell|+>|<cell|->|<cell|+>>|<row|<cell|->|<cell|+>|<cell|->>|<row|<cell|+>|<cell|->|<cell|+>>>>>>

  voici donc cette comatrice :

  <math|<matrix|<tformat|<cwith|1|-1|1|-1|cell-tborder|0ln>|<cwith|1|-1|1|-1|cell-bborder|0ln>|<cwith|1|-1|1|-1|cell-lborder|0ln>|<cwith|1|-1|1|-1|cell-rborder|0ln>|<cwith|1|-1|1|-1|cell-width|30mm>|<cwith|1|-1|1|-1|cell-hmode|max>|<cwith|1|-1|1|-1|cell-height|10mm>|<cwith|1|-1|1|-1|cell-vmode|max>|<cwith|1|-1|1|-1|cell-valign|c>|<table|<row|<cell|e
  i-f h>|<cell|-<around*|(|d i-f g|)>>|<cell|d h-e
  g>>|<row|<cell|-<around*|(|b i-c h|)>>|<cell|a i-c g>|<cell|-<around*|(|a
  h-b g|)>>>|<row|<cell|b f-c e>|<cell|-<around*|(|a f-c d|)>>|<cell|a e-b
  d>>>>>>

  \;

  Il faut maintenant calculer le dterminant de la matrice de dpart :\ 

  <math|det<around*|(|\<b-A\>|)>=det><math|<matrix|<tformat|<table|<row|<cell|a>|<cell|b>|<cell|c>>|<row|<cell|d>|<cell|e>|<cell|f>>|<row|<cell|g>|<cell|h>|<cell|i>>>>>=<around*|(|a
  e i+d h c+g b f|)>-<around*|(|g e c+a h f+d b i|)>> comme vu plus haut
  (c'est un simple scalaire).\ 

  Il faut galement calculer la transpose de la comatrice, c'est  dire la
  matrice obtenue en formant des lignes avec les colonnes (la premire ligne
  devenant la premire colonne et ainsi de suite...)

  Voici donc la transpose de la comatrice :

  <math|<matrix|<tformat|<cwith|1|-1|1|-1|cell-tborder|0ln>|<cwith|1|-1|1|-1|cell-bborder|0ln>|<cwith|1|-1|1|-1|cell-lborder|0ln>|<cwith|1|-1|1|-1|cell-rborder|0ln>|<cwith|1|-1|1|-1|cell-width|30mm>|<cwith|1|-1|1|-1|cell-hmode|max>|<cwith|1|-1|1|-1|cell-height|10mm>|<cwith|1|-1|1|-1|cell-vmode|max>|<cwith|1|-1|1|-1|cell-valign|c>|<table|<row|<cell|e
  i-f h>|<cell|-<around*|(|b i-c h|)>>|<cell|b f-c
  e>>|<row|<cell|-<around*|(|d i-f g|)>>|<cell|a i-c g>|<cell|-<around*|(|a
  f-c d|)>>>|<row|<cell|d h-e g>|<cell|-<around*|(|a h-b g|)>>|<cell|a e-b
  d>>>>>>\ 

  \;

  Nous pouvons maintenant crire la matrice inverse de <math|\<b-A\> >

  <with|font-base-size|14|<math|\<b-A\><rsup|-1>=<frac|1|det<around*|(|\<b-A\>|)>
  >\<times\><rsup|t>com<around*|(|\<b-A\>|)>>>

  L'inverse de la matrice est gale  l'inverse du dterminant multipli par
  la transpose de la comatrice.

  Ce qui donne :

  <math|\<b-A\><rsup|-1>=<frac|1|a e i+d h c+g b f-<around*|\<nobracket\>|g e
  c-a h f-d b i|)>>\<times\><matrix|<tformat|<cwith|1|-1|1|-1|cell-tborder|0ln>|<cwith|1|-1|1|-1|cell-bborder|0ln>|<cwith|1|-1|1|-1|cell-lborder|0ln>|<cwith|1|-1|1|-1|cell-rborder|0ln>|<cwith|1|-1|1|-1|cell-width|30mm>|<cwith|1|-1|1|-1|cell-hmode|max>|<cwith|1|-1|1|-1|cell-height|10mm>|<cwith|1|-1|1|-1|cell-vmode|max>|<cwith|1|-1|1|-1|cell-valign|c>|<table|<row|<cell|e
  i-f h>|<cell|-<around*|(|b i-c h|)>>|<cell|b f-c
  e>>|<row|<cell|-<around*|(|d i-f g|)>>|<cell|a i-c g>|<cell|-<around*|(|a
  f-c d|)>>>|<row|<cell|d h-e g>|<cell|-<around*|(|a h-b g|)>>|<cell|a e-b
  d>>>>>>

  C'est en gnral un ordinateur (ou un systme physique, mais alors nous
  n'en voyons pas les quations !) qui le calculera. Toutefois la mthode
  doit tre connue ne serait-ce que pour pouvoir programmer la fonction
  correspondante...

  Je vous disais plus haut que le nombre d'oprations lmentaires 
  effectuer augmente en <math|O <around*|(|n!|)>> (factorielle <math|n>). Vu
  le nombre d'oprations requises pour cette simple matrice
  <math|3\<times\>3>, on imagine ce que a peut donner pour une
  <math|20\<times\>20> par exemple. Mais heureusement il y a les astuces...

  \;

  \;

  \;

  \;
</body>

<\initial>
  <\collection>
    <associate|font-base-size|10>
    <associate|global-title|Calcul vectoriel>
    <associate|page-medium|papyrus>
    <associate|page-screen-bot|5mm>
    <associate|page-screen-top|5mm>
    <associate|page-width-margin|false>
    <associate|par-width|250mm>
    <associate|preamble|false>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|1>>
    <associate|auto-10|<tuple|2.4.2|8>>
    <associate|auto-11|<tuple|2.5|10>>
    <associate|auto-12|<tuple|2.5.1|10>>
    <associate|auto-13|<tuple|2.5.2|10>>
    <associate|auto-14|<tuple|3|11>>
    <associate|auto-15|<tuple|3.1|11>>
    <associate|auto-16|<tuple|3.1.1|12>>
    <associate|auto-17|<tuple|3.1.2|13>>
    <associate|auto-18|<tuple|3.2|14>>
    <associate|auto-19|<tuple|3.2.1|14>>
    <associate|auto-2|<tuple|2|2>>
    <associate|auto-20|<tuple|3.2.2|14>>
    <associate|auto-21|<tuple|2.3.1|14>>
    <associate|auto-22|<tuple|2.3.2|15>>
    <associate|auto-23|<tuple|2.3.3|16>>
    <associate|auto-3|<tuple|2.1|2>>
    <associate|auto-4|<tuple|2.2|2>>
    <associate|auto-5|<tuple|2.3|2>>
    <associate|auto-6|<tuple|2.3.1|3>>
    <associate|auto-7|<tuple|2.3.2|6>>
    <associate|auto-8|<tuple|2.4|7>>
    <associate|auto-9|<tuple|2.4.1|7>>
    <associate|firstHeading|<tuple|1.1.1|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|1<space|2spc>Dfinition>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|2<space|2spc>Oprations
      sur les matrices> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2><vspace|0.5fn>

      <with|par-left|<quote|1tab>|2.1<space|2spc>Somme
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>>

      <with|par-left|<quote|1tab>|2.2<space|2spc>Multiplication par un
      scalaire externe <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-4>>

      <with|par-left|<quote|1tab>|2.3<space|2spc>Produit matriciel
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-5>>

      <with|par-left|<quote|2tab>|2.3.1<space|2spc>Calcul du produit
      matriciel <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-6>>

      <with|par-left|<quote|2tab>|2.3.2<space|2spc>Mais d'o vient ce mode de
      calcul compliqu du produit matriciel ?
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-7>>

      <with|par-left|<quote|1tab>|2.4<space|2spc>Matrices particulires
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-8>>

      <with|par-left|<quote|2tab>|2.4.1<space|2spc>Matrice carre
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-9>>

      <with|par-left|<quote|2tab>|2.4.2<space|2spc>Matrice identit note
      <with|color|<quote|#503050>|font-family|<quote|rm>|<with|mode|<quote|math>|\<b-I\><rsub|n>>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-10>>

      <with|par-left|<quote|1tab>|2.5<space|2spc>Dterminant d'une matrice
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-11>>

      <with|par-left|<quote|2tab>|2.5.1<space|2spc>calcul du dterminant
      d'une matrice <with|color|<quote|#503050>|font-family|<quote|rm>|<with|mode|<quote|math>|2*\<times\>2>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-12>>

      <with|par-left|<quote|2tab>|2.5.2<space|2spc>calcul du dterminant
      d'une matrice <with|color|<quote|#503050>|font-family|<quote|rm>|<with|mode|<quote|math>|3*\<times\>3>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-13>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|3<space|2spc>Inversion
      d'une matrice carre> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-14><vspace|0.5fn>

      <with|par-left|<quote|1tab>|3.1<space|2spc>Algbre des matrices
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-15>>

      <with|par-left|<quote|2tab>|3.1.1<space|2spc>Exemple classique
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-16>>

      <with|par-left|<quote|2tab>|3.1.2<space|2spc>Dfinition de la matrice
      inverse : <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-17>>

      <with|par-left|<quote|1tab>|3.2<space|2spc>Inversion d'une matrice :
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-18>>

      <with|par-left|<quote|2tab>|3.2.1<space|2spc>Inversion d'une matrice
      <with|color|<quote|#503050>|font-family|<quote|rm>|<with|mode|<quote|math>|2\<times\>2>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-19>>
    </associate>
  </collection>
</auxiliary>